<?PHP
#
#   FILE:  SPT--FullImage.php
#
#   FUNCTIONS PROVIDED:
#       FunctionName($Parameter, $Parameter)
#           - brief description of function supplied for use in HTML file
#
#   FUNCTIONS EXPECTED:
#       FunctionName($Parameter, $Parameter)
#           - brief description of function that HTML file must supply
#
#   OPTIONAL FUNCTIONS:
#       FunctionName($Parameter, $Parameter)
#           - brief description of function that HTML file may supply
#
#   FORM FIELDS EXPECTED:
#       F_FormFieldName
#           - brief description of form field purpose and/or content
#
#   Part of the Scout Portal Toolkit
#   Copyright 2003 Internet Scout Project
#   http://scout.wisc.edu
#

require_once("include/SPT--Common.php");
require_once("include/SPT--Resource.php");
require_once("include/SPT--SPTImage.php");

$FieldName = $HTTP_GET_VARS["FieldName"];
PageTitle($FieldName." Display");

# ----- EXPORTED FUNCTIONS ---------------------------------------------------

# print field name 
function PrintFieldName()
{
    global $FieldName;

    print $FieldName;
}

# print Resource Title
function PrintResourceTitle()
{
    global $ResourceTitle;

    print $ResourceTitle;
}

# print Url 
function PrintUrl()
{
    global $Url;

    print $Url;
}

# print Record Link
function PrintRecordLink()
{
    global $RecordLink;

    print $RecordLink;
}

# print Return Page
function PrintReturnPage()
{
    global $ReturnPage;

    print $ReturnPage;
}

# print Height
function PrintHeight()
{
    global $Height;

    print $Height;
}

# print Width
function PrintWidth()
{
    global $Width;

    print $Width;
}

# print AltText
function PrintAltText()
{
    global $AltText;

    print $AltText;
}


# ----- LOCAL FUNCTIONS ------------------------------------------------------

# ----- MAIN -----------------------------------------------------------------

$Resource = new Resource($HTTP_GET_VARS["ResourceId"]);
$ResourceTitle = $Resource->Get("Title");
$SPTImage = $Resource->Get($HTTP_GET_VARS["FieldName"], TRUE);
$Width = $SPTImage->Width();
$Height = $SPTImage->Height();
$Url = $SPTImage->Url();
$AltText = $SPTImage->AltText();

# return to metadata tool
if (isset($HTTP_GET_VARS["edit"]))
{
    $RecordLink = "MetadataTool/SPT--DBEntry.php?ResourceId=${ResourceId}";
    $ReturnPage = "Edit Resource for ";
}
# return to full record 
else
{
    $RecordLink = "SPT--FullRecord.php?ResourceId=${ResourceId}";
    $ReturnPage = "Full Record for ";
}
include("include/SPT--StandardHtmlPageLoad.php");

?>
