# Make Records Per Page persistent for the user
ALTER TABLE APUsers ADD COLUMN RecordsPerPage INT DEFAULT 5;

# add in Date Of Record Release Field
ALTER TABLE Resources ADD COLUMN DateOfRecordRelease DATETIME;

# add in new DateOfRecordRelease field to MetadataFields
CREATE TEMPORARY TABLE TempFieldId (FieldId INT);
INSERT INTO TempFieldId SELECT max(FieldId)+1 FROM MetadataFields;
INSERT INTO MetadataFields (FieldId, FieldName, FieldType, RequiredBySPT, Enabled, Optional, AllowMultiple, IncludeInKeywordSearch, IncludeInAdvancedSearch, TextFieldSize, MaxLength, ParagraphRows, ParagraphCols, DefaultValue, MinValue, MaxValue, FlagOnLabel, FlagOffLabel, DateFormat, SearchWeight, Description) SELECT FieldId, 'Date Of Record Release','TimeStamp',1,1,0,NULL,1,0,30,100, NULL,NULL,NULL,NULL,NULL,'','',NULL,3,"Date the resource being described was released (Release Flag changed from Not Ok For Viewing to OK For Viewing). This date must be entered in the YYYY-MM-DD format. The software automatically enters the current date if this field is left uncompleted." FROM TempFieldId;
DROP TABLE TempFieldId;
